﻿// Sketchables.NET - Design Time Support Libraries
// (c) Copyright 2010 Philipp Sumi
// Contact and Information: http://www.hardcodet.net
//
// This source is subject to the Gnu General Public License (GPL) v3
// Please see http://www.gnu.org/licenses/gpl.html for details.
// All other rights reserved.
// 
// The above copyright notice and this permission notice shall be
// included in all copies or substantial portions of the Software.
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
// EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
// OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
// NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
// HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
// WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
// FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
// OTHER DEALINGS IN THE SOFTWARE.
//
// THIS COPYRIGHT NOTICE MAY NOT BE REMOVED FROM THIS FILE


using System;
using Microsoft.Windows.Design.Model;

namespace Sketchables.Design
{
  /// <summary>
  /// Provides intialization content for controls.
  /// </summary>
  public class SketchableInitializer : DefaultInitializer
  {
    public override void InitializeDefaults(ModelItem item)
    {
      //resolve the default value
      string defaultValueKey = String.Format("{0}_{1}", item.ItemType.Name, "Default");
      var content = StringTable.ResourceManager.GetString(defaultValueKey);

      if (content != null)
      {
        //explicitly declare line breaks
        content = content.Replace("\r\n", "\n");

        item.Properties["Content"].SetValue(content);
      }

      base.InitializeDefaults(item);
    }
  }
}
