﻿using System;
using System.Windows.Controls;
using Sketchables.Controls;

//BIG KUDOS TO KARL SHIFFLET FOR THIS PATTERN
//http://karlshifflett.wordpress.com/2009/11/20/extensibility-series-wpf-silverlight-design-time-code-sharing-part-i/


[assembly: System.Runtime.CompilerServices.InternalsVisibleTo("Sketchables.Silverlight.Design")]
[assembly: System.Runtime.CompilerServices.InternalsVisibleTo("Sketchabled.Design.Common")]

namespace Sketchables.Silverlight.Design.Types
{
  /// <summary>
  ///  This class allows us to reference Silverlight types from the main (WPF) design time assembly without
  /// adding references to Silverlight to the main design time assembly which would cause issues with the XAML
  /// Markup compiler
  /// These are only used to register metadata and the rest of the design time is written using the extensibility model
  /// which is platform agnostic
  /// </summary>
  internal class SilverlightTypes
  {

    public static readonly Type SketchableControlType = typeof (SketchableControl);
    public static readonly Type SketchableBreadCrumbType = typeof (SketchableBreadCrumb);
    public static readonly Type SketchableDataGridType = typeof (SketchableDataGrid);

		public static readonly Type SketchableTabControlType = typeof(SketchableTabControl);
		public static readonly Type SketchableListBoxType = typeof(SketchableListBox);

    public static readonly Type TabControlType = typeof (TabControl);
    public static readonly Type TabItemType = typeof (TabItem);

    public static readonly Type ListBoxType = typeof (ListBox);
    public static readonly Type ListBoxItemType = typeof (ListBoxItem);

    public static readonly Type GridType = typeof (Grid);

    public static string TabItemsPropertyName = "Items";

    public static string TabItemHeaderPropertyName = "Header";
  }
}