﻿// Sketchables.NET - Design Time Support Libraries
// (c) Copyright 2010 Philipp Sumi
// Contact and Information: http://www.hardcodet.net
//
// This source is subject to the Gnu General Public License (GPL) v3
// Please see http://www.gnu.org/licenses/gpl.html for details.
// All other rights reserved.
// 
// The above copyright notice and this permission notice shall be
// included in all copies or substantial portions of the Software.
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
// EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
// OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
// NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
// HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
// WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
// FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
// OTHER DEALINGS IN THE SOFTWARE.
//
// THIS COPYRIGHT NOTICE MAY NOT BE REMOVED FROM THIS FILE


using System;
using Sketchables.Design.Markup.Converters;
using Sketchables.Silverlight.Design.Types;

namespace Sketchables.Silverlight.Design
{
  internal class SLListBoxConverter : ListBoxMarkupConverter
  {
    /// <summary>
    /// Gets the type of the contained items, e.g. a <c>TabItem</c>
    /// for a <c>TabControl</c>.
    /// </summary>
    /// <returns></returns>
    protected override Type GetChildItemType()
    {
      return SilverlightTypes.ListBoxItemType;
    }

    /// <summary>
    /// Whether to use a dynamic or static resource.
    /// </summary>
    protected override bool UseDynamicResource
    {
      get { return false; }
    }
  }
}
