using System.Collections.Generic;
using System.Windows;
using System.Windows.Controls;


namespace Sketchables.Controls
{
  public partial class SketchableBreadCrumb
  {
    private void RegisterLinkEventListeners(IEnumerable<FrameworkElement> elements, Grid containerControl)
    {
      foreach (var element in elements)
      {
        var btn = element as HyperlinkButton;
        if (btn == null) continue;
        btn.Click += OnHyperlinkClicked;
      }
    }


    private void OnHyperlinkClicked(object sender, RoutedEventArgs routedEventArgs)
    {
      var button = (HyperlinkButton) routedEventArgs.OriginalSource;
      var item = (SketchItem) button.Tag;
      RaiseItemChanged(item);
    }


    private void UnregisterLinkEventListeners(IEnumerable<FrameworkElement> elements, Grid containerControl)
    {
      if (elements == null) return;

      foreach (var element in elements)
      {
        var btn = element as HyperlinkButton;
        if (btn == null) continue;
        btn.Click -= OnHyperlinkClicked;
      }
    }
  }
}
