﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Markup;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace Sketchables.Controls
{
  /// <summary>
  /// Common base class for controls that declare and assign
  /// their <see cref="SketchableControl.RuntimeElement"/> at design time rather
  /// than swapping it out all the time. The single difference here is the
  /// <see cref="ContentPropertyAttribute"/> which is set on the class and allows
  /// for simple assignment of the element in the designer.
  /// </summary>
  [ContentProperty("RuntimeElement")]
  public abstract class SketchableContentControl : SketchableControl
  {
  }
}
