﻿using System.Collections.Generic;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Navigation;

namespace Sketchables.Controls
{
  public partial class SketchableBreadCrumb
  {
    private void RegisterLinkEventListeners(IEnumerable<FrameworkElement> elements, Grid containerControl)
    {
      var handler = new RequestNavigateEventHandler(OnHyperlinkClicked);
      containerControl.AddHandler(Hyperlink.RequestNavigateEvent, handler);
    }


    private void OnHyperlinkClicked(object sender, RequestNavigateEventArgs e)
    {
      var hl = (Hyperlink) e.OriginalSource;
      RaiseItemChanged((SketchItem) hl.Tag);
    }


    private void UnregisterLinkEventListeners(IEnumerable<FrameworkElement> elements, Grid containerControl)
    {
      if (elements == null) return;

      var handler = new RequestNavigateEventHandler(OnHyperlinkClicked);
      containerControl.RemoveHandler(Hyperlink.RequestNavigateEvent, handler);
    }
  }
}
