﻿using System.ComponentModel;
using System.Windows;


namespace Sketchables
{
  /// <summary>
  /// Can be used to determine whether the application is currently in design
  /// mode or not.
  /// </summary>
  public static class Designer
  {
    /// <summary>
    /// Checks whether the application is currently in design mode.
    /// </summary>
    public static bool IsDesignMode { get; private set; }

    static Designer()
    {
      DependencyProperty prop = DesignerProperties.IsInDesignModeProperty;
      IsDesignMode = (bool)DependencyPropertyDescriptor.FromProperty(prop, typeof (FrameworkElement))
                                                       .Metadata.DefaultValue;
    }
  }
}